> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# debug_traceBlockByNumber

> Returns debug trace of all transactions in a block given block number



## OpenAPI

````yaml /api-reference/openapi.json post /debug_traceBlockByNumber
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /debug_traceBlockByNumber:
    post:
      tags:
        - Debug API
      summary: debug_traceBlockByNumber
      description: Returns debug trace of all transactions in a block given block number
      operationId: debug_traceBlockByNumber
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: debug_traceBlockByNumber
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Call parameters
                  default:
                    - '0x1'
                    - tracer: callTracer
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: debug_traceBlockByNumber
              params:
                - '0x1'
                - tracer: callTracer
      responses:
        '200':
          description: Returns the debug trace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DebugTraceBlockResponse'
components:
  schemas:
    DebugTraceBlockResponse:
      $ref: 68003e77-d8f7-4407-8f3b-65933f420668

````